Index: tags/2.0.2/services/templates/admin_form.ihtml
===================================================================
--- tags/2.0.2/services/templates/admin_form.ihtml	(revision 185)
+++ tags/2.0.2/services/templates/admin_form.ihtml	(revision 221)
@@ -13,5 +13,5 @@
     </tr>
     <tr>
-        <td class="right"><label for="username"<?php $fv->err('username', ' class="error"') ?>><?php echo _("Username"); ?></label></td>
+        <td class="right"><label for="username"<?php $fv->err('username') ?>><?php echo _("Username"); ?></label></td>
         <td>
             <input type="text" class="small" size="50" name="username" value="<?php echo oTxt($frm['username']); ?>" />
@@ -19,5 +19,5 @@
     </tr>
     <tr>
-        <td class="right"><label for="userpass"<?php $fv->err('userpass', ' class="error"') ?>><?php echo _("Password"); ?></label></td>
+        <td class="right"><label for="userpass"<?php $fv->err('userpass') ?>><?php echo _("Password"); ?></label></td>
         <td>
             <input type="password" class="small" size="50" name="userpass" value="<?php echo oTxt($frm['userpass']); ?>" />
@@ -25,5 +25,5 @@
     </tr>
     <tr>
-        <td class="right"><label for="first_name"<?php $fv->err('first_name', ' class="error"') ?>><?php echo _("First name"); ?></label></td>
+        <td class="right"><label for="first_name"<?php $fv->err('first_name') ?>><?php echo _("First name"); ?></label></td>
         <td>
             <input type="text" class="small" size="50" name="first_name" value="<?php echo oTxt($frm['first_name']); ?>" />
@@ -31,5 +31,5 @@
     </tr>
     <tr>
-        <td class="right"><label for="last_name"<?php $fv->err('last_name', ' class="error"') ?>><?php echo _("Last name"); ?></label></td>
+        <td class="right"><label for="last_name"<?php $fv->err('last_name') ?>><?php echo _("Last name"); ?></label></td>
         <td>
             <input type="text" class="small" size="50" name="last_name" value="<?php echo oTxt($frm['last_name']); ?>" />
@@ -37,5 +37,5 @@
     </tr>
     <tr>
-        <td class="right"><label for="email"<?php $fv->err('email', ' class="error"') ?>><?php echo _("Email"); ?></label></td>
+        <td class="right"><label for="email"<?php $fv->err('email') ?>><?php echo _("Email"); ?></label></td>
         <td>
             <input type="text" class="medium" size="50" name="email" value="<?php echo oTxt($frm['email']); ?>" />
@@ -43,5 +43,5 @@
     </tr>
     <tr>
-        <td class="right"><label for="user_type"<?php $fv->err('user_type', ' class="error"') ?>><?php echo _("User type"); ?></label></td>
+        <td class="right"><label for="user_type"<?php $fv->err('user_type') ?>><?php echo _("User type"); ?></label></td>
         <td>
             <select name="user_type" class="small">
Index: tags/2.0.2/services/templates/password.ihtml
===================================================================
--- tags/2.0.2/services/templates/password.ihtml	(revision 185)
+++ tags/2.0.2/services/templates/password.ihtml	(revision 221)
@@ -6,5 +6,5 @@
 <table>
     <tr>
-        <td class="right"><label for="oldpassword"<?php $fv->err('oldpassword', ' class="error"') ?>><?php echo _("Old password"); ?></label></td>
+        <td class="right"><label for="oldpassword"<?php $fv->err('oldpassword') ?>><?php echo _("Old password"); ?></label></td>
         <td>
             <input type="text" class="medium" size="50" name="oldpassword" />
@@ -12,5 +12,5 @@
     </tr>
     <tr>
-        <td class="right"><label for="newpassword"<?php $fv->err('newpassword', ' class="error"') ?>><?php echo _("New password"); ?></label></td>
+        <td class="right"><label for="newpassword"<?php $fv->err('newpassword') ?>><?php echo _("New password"); ?></label></td>
         <td>
             <input type="password" class="medium" size="50" name="newpassword" />
@@ -18,5 +18,5 @@
     </tr>
     <tr>
-        <td class="right"><label for="newpassword2"<?php $fv->err('newpassword2', ' class="error"') ?>><?php echo _("New password again"); ?></label></td>
+        <td class="right"><label for="newpassword2"<?php $fv->err('newpassword2') ?>><?php echo _("New password again"); ?></label></td>
         <td>
             <input type="password" class="medium" size="50" name="newpassword2" />