Index: trunk/docs/codebase_v1-to-v2_upgrade_checklist.txt
===================================================================
--- trunk/docs/codebase_v1-to-v2_upgrade_checklist.txt	(revision 238)
+++ trunk/docs/codebase_v1-to-v2_upgrade_checklist.txt	(revision 239)
@@ -31,5 +31,11 @@
     $cfg['gallery_images_url'] = '/gallery_images';
     
-(And of course change the code where they are used to support the array instead of object-properties. If the array is inside of double-quotes it should be written like "{$cfg['gallery_images_url']}/my/path".)
+And of course change the code where they are used to support the array instead of object-properties. If the array is inside of double-quotes it should be written like:
+
+    "{$cfg['gallery_images_url']}/my/path". 
+    
+If the value used is now to be retreived from a $object->getParam(...) method call, you'll need to do this: 
+
+    $object->getParam('gallery_images_url') . '/my/path'
 
 
@@ -45,9 +51,9 @@
 
 
-5. Expect formatting incosistencies! When doing global search-replace expect whitespace to be erratic, variable names to change, and lines to be otherwise inconsistent. Here's a good example of a safe way to match a line:
+// 5. Expect formatting incosistencies! When doing global search-replace expect whitespace to be erratic, variable names to change, and lines to be otherwise inconsistent. Here's a good example of a safe way to match a line:
 
 Searching for "$CFG->ssl_domain = 'www.example.com';":
 
-    $CFG->(\w+)\s*=\s*['"](\w+)['"];
+//    $CFG->(\w+)\s*=\s*['"](\w+)['"];
 
 Replace:
@@ -92,19 +98,20 @@
 Convert functions to methods.
 
-raiseMsg(...)                           $app->raiseMsg(...)
-logMsg(...)                             $app->logMsg(...)
+raiseMsg(...)                           $app->raiseMsg(...) 
+logMsg(...)                             $app->logMsg(...) 
 include 'message_header.ihtml';         $app->printRaisedMessages();
-$carry_queries = array(...);            $app->carryQuery(...);
-ohref(...)                              $app->ohref(...)
-printHiddenSession();                   $app->printHiddenSession();
-dieURL(...);                            $app->dieURL(...);
-dieBoomerangURL(...);                   $app->dieBoomerangURL(...);
-setBoomerangURL(...);                   $app->setBoomerangURL(...);
-getBoomerangURL(...);                   $app->getBoomerangURL(...);
-validBoomerangURL(...);                 $app->validBoomerangURL(...);
-deleteBoomerangURL(...);                $app->deleteBoomerangURL(...);
+$carry_queries = array(... , ...);      $app->carryQuery(...);  //call for each value in array
+ohref(...)                              $app->ohref(...) 
+printHiddenSession();                   $app->printHiddenSession(); 
+dieURL(...);                            $app->dieURL(...); 
+dieBoomerangURL(...);                   $app->dieBoomerangURL(...); 
+setBoomerangURL(...);                   $app->setBoomerangURL(...); 
+getBoomerangURL(...);                   $app->getBoomerangURL(...); 
+validBoomerangURL(...);                 $app->validBoomerangURL(...); 
+deleteBoomerangURL(...);                $app->deleteBoomerangURL(...); 
 sslOn();                                $app->sslOn();
 sslOff();                               $app->sslOff();
 
+$CFG->site_name                         $app->getParam('site_name')
 
 =====================================================================
@@ -150,5 +157,5 @@
 
 $nav->addPage(...)                      $nav->add(...)
-$nav->setFeature(...)                   $nav->set(...)
+$nav->setFeature(array(...))            $nav->set(...)
 $nav->getFeature(...)                   $nav->get(...)
 $nav->getTitle()                        $nav->get('title')
@@ -156,6 +163,9 @@
 $nav->getPath()                         $nav->get('path')
 $nav->printPath()                       echo $nav->get('path')
-$nav->getBreadcrumbs()                  $nav->getBreadcrumbs()
 $nav->printBreadcrumbs()                echo $nav->getBreadcrumbs()
+
+$nav->path_delimiter                    $nav->getParam('path_delimiter')
+NOTE: this applies to any object property that has been converted to a param.
+
 
 =====================================================================
@@ -172,5 +182,5 @@
 NOTE: new instantiation interface
 
-$prefs->setDefault(...)                 $prefs->setDefaults(array(...))
+$prefs->setDefault(..., scope)                 $prefs->setDefaults(array(...))
 NOTE: plurality - function need not be called once-per-default.
 
@@ -197,4 +207,5 @@
 
     global $lock;
+    global $auth;
     $lock =& Lock::getInstance($auth);
      
@@ -222,5 +233,5 @@
 to:
 
-    $version = Version::getInstance($auth);
+    $version =& Version::getInstance($auth);
 
 
@@ -253,5 +264,5 @@
 NOTE: notice method arguments have been reversed.
 
-SessionCache::getCache(...)             $cache->set(...)
+SessionCache::getCache(...)             $cache->get(...)
 SessionCache::isCached(...)             $cache->exists(...)
 SessionCache::breakCache(...)           $cache->delete(...)
@@ -266,5 +277,5 @@
 $file->allow_overwriting = true;        $file->setParam('allow_overwriting', true);
 $file->valid_file_extensions = true;        $file->setParam('valid_file_extensions', true);
-$file->$dest_file_perms = true;        $file->setParam('$dest_file_perms', true);
+$file->dest_file_perms = 0666;        $file->setParam('dest_file_perms', 0666);
 ...etc.
 
@@ -282,4 +293,9 @@
 NOTE: The functionality of this has changed, better check output is valid.
 
+=====================================================================
+FormValidator
+=====================================================================
+
+include 'form_error_header.ihtml';      $fv->printErrorMessages();
 
 
Index: trunk/docs/upgrade_v1-to-v2.mysql
===================================================================
--- trunk/docs/upgrade_v1-to-v2.mysql	(revision 238)
+++ trunk/docs/upgrade_v1-to-v2.mysql	(revision 239)
@@ -1,6 +1,7 @@
 # Upgrade version_tbl.
 ALTER TABLE `version_tbl` ADD version_number SMALLINT(11) UNSIGNED NOT NULL DEFAULT '0' AFTER version_title;
-ALTER TABLE `version_tbl` ADD version_notes VARCHAR(255) NOT NULL DEFAULT '' AFTER version_number
-ALTER TABLE `version_tbl` ADD saved_by_user_id SMALLINT(11) NOT NULL DEFAULT '0' AFTER version_notes
+ALTER TABLE `version_tbl` ADD version_notes VARCHAR(255) NOT NULL DEFAULT '' AFTER version_number;
+ALTER TABLE `version_tbl` ADD saved_by_user_id SMALLINT(11) NOT NULL DEFAULT '0' AFTER version_notes;
 UPDATE `version_tbl` SET saved_by_user_id = saved_by_admin_id;
 ALTER TABLE `version_tbl` DROP saved_by_admin_id;
+