Index: /branches/1.1dev/lib/AuthorizeNet.inc.php
===================================================================
--- /branches/1.1dev/lib/AuthorizeNet.inc.php	(revision 249)
+++ /branches/1.1dev/lib/AuthorizeNet.inc.php	(revision 250)
@@ -14,5 +14,5 @@
 //     'x_Exp_Date' => '042008',
 //     'x_Invoice_Num' => '100',
-//     'x_Address' => '10 rue Levouv',
+//     'x_Address' => '10 rue LevouvÃ©',
 //     'x_City' => 'SomeCity',
 //     'x_State' => 'CA',
@@ -157,10 +157,10 @@
         if (empty($this->_params['x_login'])) {
             $this->_results['x_response_reason_text'] = _("Transaction gateway temporarily not available. Please try again later.");
-            logMsg(sprintf('x_login not specified.', null), LOG_ERROR, __FILE__, __LINE__);
+            logMsg(sprintf('x_login not specified.', null), LOG_ERR, __FILE__, __LINE__);
             return false;
         }
         if (empty($this->_params['x_card_num'])) {
             $this->_results['x_response_reason_text'] = _("Transaction gateway temporarily not available. Please try again later.");
-            logMsg(sprintf('x_card_num not specified.', null), LOG_ERROR, __FILE__, __LINE__);
+            logMsg(sprintf('x_card_num not specified.', null), LOG_ERR, __FILE__, __LINE__);
             return false;
         }
Index: /branches/2.0/lib/AuthorizeNet.inc.php
===================================================================
--- /branches/2.0/lib/AuthorizeNet.inc.php	(revision 249)
+++ /branches/2.0/lib/AuthorizeNet.inc.php	(revision 250)
@@ -14,5 +14,5 @@
 //     'x_Exp_Date' => '042008',
 //     'x_Invoice_Num' => '100',
-//     'x_Address' => '10 rue Levouv',
+//     'x_Address' => '10 rue LevouvÃ©',
 //     'x_City' => 'SomeCity',
 //     'x_State' => 'CA',
@@ -169,10 +169,10 @@
         if (empty($this->_params['x_login'])) {
             $this->_results['x_response_reason_text'] = _("Transaction gateway temporarily not available. Please try again later.");
-            App::logMsg(sprintf('x_login not specified.', null), LOG_ERROR, __FILE__, __LINE__);
+            App::logMsg(sprintf('x_login not specified.', null), LOG_ERR, __FILE__, __LINE__);
             return false;
         }
         if (empty($this->_params['x_card_num'])) {
             $this->_results['x_response_reason_text'] = _("Transaction gateway temporarily not available. Please try again later.");
-            App::logMsg(sprintf('x_card_num not specified.', null), LOG_ERROR, __FILE__, __LINE__);
+            App::logMsg(sprintf('x_card_num not specified.', null), LOG_ERR, __FILE__, __LINE__);
             return false;
         }
Index: /branches/2.0singleton/lib/AuthorizeNet.inc.php
===================================================================
--- /branches/2.0singleton/lib/AuthorizeNet.inc.php	(revision 249)
+++ /branches/2.0singleton/lib/AuthorizeNet.inc.php	(revision 250)
@@ -176,10 +176,10 @@
         if (empty($this->_params['x_login'])) {
             $this->_results['x_response_reason_text'] = _("Transaction gateway temporarily not available. Please try again later.");
-            $app->logMsg(sprintf('x_login not specified.', null), LOG_ERROR, __FILE__, __LINE__);
+            $app->logMsg(sprintf('x_login not specified.', null), LOG_ERR, __FILE__, __LINE__);
             return false;
         }
         if (empty($this->_params['x_card_num'])) {
             $this->_results['x_response_reason_text'] = _("Transaction gateway temporarily not available. Please try again later.");
-            $app->logMsg(sprintf('x_card_num not specified.', null), LOG_ERROR, __FILE__, __LINE__);
+            $app->logMsg(sprintf('x_card_num not specified.', null), LOG_ERR, __FILE__, __LINE__);
             return false;
         }
Index: /branches/david/lib/AuthorizeNet.inc.php
===================================================================
--- /branches/david/lib/AuthorizeNet.inc.php	(revision 249)
+++ /branches/david/lib/AuthorizeNet.inc.php	(revision 250)
@@ -176,10 +176,10 @@
         if (empty($this->_params['x_login'])) {
             $this->_results['x_response_reason_text'] = _("Transaction gateway temporarily not available. Please try again later.");
-            $app->logMsg(sprintf('x_login not specified.', null), LOG_ERROR, __FILE__, __LINE__);
+            $app->logMsg(sprintf('x_login not specified.', null), LOG_ERR, __FILE__, __LINE__);
             return false;
         }
         if (empty($this->_params['x_card_num'])) {
             $this->_results['x_response_reason_text'] = _("Transaction gateway temporarily not available. Please try again later.");
-            $app->logMsg(sprintf('x_card_num not specified.', null), LOG_ERROR, __FILE__, __LINE__);
+            $app->logMsg(sprintf('x_card_num not specified.', null), LOG_ERR, __FILE__, __LINE__);
             return false;
         }
Index: /tags/1.0.0/lib/AuthorizeNet.inc.php
===================================================================
--- /tags/1.0.0/lib/AuthorizeNet.inc.php	(revision 249)
+++ /tags/1.0.0/lib/AuthorizeNet.inc.php	(revision 250)
@@ -14,5 +14,5 @@
 //     'x_Exp_Date' => '042008',
 //     'x_Invoice_Num' => '100',
-//     'x_Address' => '10 rue Levouv',
+//     'x_Address' => '10 rue LevouvÃ©',
 //     'x_City' => 'SomeCity',
 //     'x_State' => 'CA',
@@ -157,10 +157,10 @@
         if (empty($this->_params['x_login'])) {
             $this->_results['x_response_reason_text'] = _("Transaction gateway temporarily not available. Please try again later.");
-            logMsg(sprintf('x_login not specified.', null), LOG_ERROR, __FILE__, __LINE__);
+            logMsg(sprintf('x_login not specified.', null), LOG_ERR, __FILE__, __LINE__);
             return false;
         }
         if (empty($this->_params['x_card_num'])) {
             $this->_results['x_response_reason_text'] = _("Transaction gateway temporarily not available. Please try again later.");
-            logMsg(sprintf('x_card_num not specified.', null), LOG_ERROR, __FILE__, __LINE__);
+            logMsg(sprintf('x_card_num not specified.', null), LOG_ERR, __FILE__, __LINE__);
             return false;
         }
Index: /tags/2.0.0/lib/AuthorizeNet.inc.php
===================================================================
--- /tags/2.0.0/lib/AuthorizeNet.inc.php	(revision 249)
+++ /tags/2.0.0/lib/AuthorizeNet.inc.php	(revision 250)
@@ -14,5 +14,5 @@
 //     'x_Exp_Date' => '042008',
 //     'x_Invoice_Num' => '100',
-//     'x_Address' => '10 rue Levouv',
+//     'x_Address' => '10 rue LevouvÃ©',
 //     'x_City' => 'SomeCity',
 //     'x_State' => 'CA',
@@ -169,10 +169,10 @@
         if (empty($this->_params['x_login'])) {
             $this->_results['x_response_reason_text'] = _("Transaction gateway temporarily not available. Please try again later.");
-            App::logMsg(sprintf('x_login not specified.', null), LOG_ERROR, __FILE__, __LINE__);
+            App::logMsg(sprintf('x_login not specified.', null), LOG_ERR, __FILE__, __LINE__);
             return false;
         }
         if (empty($this->_params['x_card_num'])) {
             $this->_results['x_response_reason_text'] = _("Transaction gateway temporarily not available. Please try again later.");
-            App::logMsg(sprintf('x_card_num not specified.', null), LOG_ERROR, __FILE__, __LINE__);
+            App::logMsg(sprintf('x_card_num not specified.', null), LOG_ERR, __FILE__, __LINE__);
             return false;
         }
Index: /tags/2.0.1/lib/AuthorizeNet.inc.php
===================================================================
--- /tags/2.0.1/lib/AuthorizeNet.inc.php	(revision 249)
+++ /tags/2.0.1/lib/AuthorizeNet.inc.php	(revision 250)
@@ -14,5 +14,5 @@
 //     'x_Exp_Date' => '042008',
 //     'x_Invoice_Num' => '100',
-//     'x_Address' => '10 rue Levouv',
+//     'x_Address' => '10 rue LevouvÃ©',
 //     'x_City' => 'SomeCity',
 //     'x_State' => 'CA',
@@ -169,10 +169,10 @@
         if (empty($this->_params['x_login'])) {
             $this->_results['x_response_reason_text'] = _("Transaction gateway temporarily not available. Please try again later.");
-            App::logMsg(sprintf('x_login not specified.', null), LOG_ERROR, __FILE__, __LINE__);
+            App::logMsg(sprintf('x_login not specified.', null), LOG_ERR, __FILE__, __LINE__);
             return false;
         }
         if (empty($this->_params['x_card_num'])) {
             $this->_results['x_response_reason_text'] = _("Transaction gateway temporarily not available. Please try again later.");
-            App::logMsg(sprintf('x_card_num not specified.', null), LOG_ERROR, __FILE__, __LINE__);
+            App::logMsg(sprintf('x_card_num not specified.', null), LOG_ERR, __FILE__, __LINE__);
             return false;
         }
Index: /tags/2.0.2/lib/AuthorizeNet.inc.php
===================================================================
--- /tags/2.0.2/lib/AuthorizeNet.inc.php	(revision 249)
+++ /tags/2.0.2/lib/AuthorizeNet.inc.php	(revision 250)
@@ -14,5 +14,5 @@
 //     'x_Exp_Date' => '042008',
 //     'x_Invoice_Num' => '100',
-//     'x_Address' => '10 rue Levouv',
+//     'x_Address' => '10 rue LevouvÃ©',
 //     'x_City' => 'SomeCity',
 //     'x_State' => 'CA',
@@ -169,10 +169,10 @@
         if (empty($this->_params['x_login'])) {
             $this->_results['x_response_reason_text'] = _("Transaction gateway temporarily not available. Please try again later.");
-            App::logMsg(sprintf('x_login not specified.', null), LOG_ERROR, __FILE__, __LINE__);
+            App::logMsg(sprintf('x_login not specified.', null), LOG_ERR, __FILE__, __LINE__);
             return false;
         }
         if (empty($this->_params['x_card_num'])) {
             $this->_results['x_response_reason_text'] = _("Transaction gateway temporarily not available. Please try again later.");
-            App::logMsg(sprintf('x_card_num not specified.', null), LOG_ERROR, __FILE__, __LINE__);
+            App::logMsg(sprintf('x_card_num not specified.', null), LOG_ERR, __FILE__, __LINE__);
             return false;
         }
Index: /tags/2.1.1/lib/AuthorizeNet.inc.php
===================================================================
--- /tags/2.1.1/lib/AuthorizeNet.inc.php	(revision 249)
+++ /tags/2.1.1/lib/AuthorizeNet.inc.php	(revision 250)
@@ -176,10 +176,10 @@
         if (empty($this->_params['x_login'])) {
             $this->_results['x_response_reason_text'] = _("Transaction gateway temporarily not available. Please try again later.");
-            $app->logMsg(sprintf('x_login not specified.', null), LOG_ERROR, __FILE__, __LINE__);
+            $app->logMsg(sprintf('x_login not specified.', null), LOG_ERR, __FILE__, __LINE__);
             return false;
         }
         if (empty($this->_params['x_card_num'])) {
             $this->_results['x_response_reason_text'] = _("Transaction gateway temporarily not available. Please try again later.");
-            $app->logMsg(sprintf('x_card_num not specified.', null), LOG_ERROR, __FILE__, __LINE__);
+            $app->logMsg(sprintf('x_card_num not specified.', null), LOG_ERR, __FILE__, __LINE__);
             return false;
         }
Index: /tags/2.1/lib/AuthorizeNet.inc.php
===================================================================
--- /tags/2.1/lib/AuthorizeNet.inc.php	(revision 249)
+++ /tags/2.1/lib/AuthorizeNet.inc.php	(revision 250)
@@ -176,10 +176,10 @@
         if (empty($this->_params['x_login'])) {
             $this->_results['x_response_reason_text'] = _("Transaction gateway temporarily not available. Please try again later.");
-            $app->logMsg(sprintf('x_login not specified.', null), LOG_ERROR, __FILE__, __LINE__);
+            $app->logMsg(sprintf('x_login not specified.', null), LOG_ERR, __FILE__, __LINE__);
             return false;
         }
         if (empty($this->_params['x_card_num'])) {
             $this->_results['x_response_reason_text'] = _("Transaction gateway temporarily not available. Please try again later.");
-            $app->logMsg(sprintf('x_card_num not specified.', null), LOG_ERROR, __FILE__, __LINE__);
+            $app->logMsg(sprintf('x_card_num not specified.', null), LOG_ERR, __FILE__, __LINE__);
             return false;
         }
Index: /trunk/lib/AuthorizeNet.inc.php
===================================================================
--- /trunk/lib/AuthorizeNet.inc.php	(revision 249)
+++ /trunk/lib/AuthorizeNet.inc.php	(revision 250)
@@ -176,10 +176,10 @@
         if (empty($this->_params['x_login'])) {
             $this->_results['x_response_reason_text'] = _("Transaction gateway temporarily not available. Please try again later.");
-            $app->logMsg(sprintf('x_login not specified.', null), LOG_ERROR, __FILE__, __LINE__);
+            $app->logMsg(sprintf('x_login not specified.', null), LOG_ERR, __FILE__, __LINE__);
             return false;
         }
         if (empty($this->_params['x_card_num'])) {
             $this->_results['x_response_reason_text'] = _("Transaction gateway temporarily not available. Please try again later.");
-            $app->logMsg(sprintf('x_card_num not specified.', null), LOG_ERROR, __FILE__, __LINE__);
+            $app->logMsg(sprintf('x_card_num not specified.', null), LOG_ERR, __FILE__, __LINE__);
             return false;
         }
@@ -221,5 +221,5 @@
     function getResult($key=null)
     {
-        if (isset($key)) {
+        if (isset($key) && isset($this->_results[$key])) {
             return $this->_results[$key];
         } else {